Subject: Re: [PATCH v2 0/3] make chainlint output more newcomer-friendly

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Sep 2024 10:31:06 -0700

Eric Sunshine <[email-masked]> writes:

> * new patch [1/3] -- motivated by Junio's observation[2] about
>   availability of structured problem information -- takes advantage of
>   that information directly rather than post-processing "?!...?!"
>   sequences in the output stream

;-).

> * old patch [2/2] (now [3/3]) which drops "?!" decorations when emitting
>   colored output to a terminal partially justified the change by
>   claiming that the new "ERR" (or "ERR:") prefix is a good "needle" for
>   a terminal's search feature, thus the noisy "?!" is no longer needed;
>   however, I realized that "ERR" (or "ERR:") is, in fact, an awful
>   needle since the string "err" (or "err:") is quite likely to
>   legitimately appear in source text, hence I changed the prefix to
>   "LINT:" (with the colon since Patrick found lack of colon
>   confusing[3])

Nice; I prefer LINT over ERR quite a lot.

> Unfortunately, the included range-diff is a mess and pretty much useless

That's expected and OK after a large update of any series, which
often deserves to be read from cover to cover anyway.

> -	$checked =~ s/(\s) \?!/$1?!/mg;
> -	$checked =~ s/\?! (\s)/?!$1/mg;
> -	$checked =~ s/\?!([^?]+)\?!/$erropen$1$errclose/mg;

;-)